package net.kierenb.mapcast;

import java.util.Map;
import java.util.Set;

public interface ReplicatedMap<K, V> extends Map<K, V> {
    
    public byte[] getRaw(Object key);
    
    public void putRaw(K key, byte[] bytes);
    
    public Set<K> keySet(Integer limit);
    
    public Set<K> keySet(Object keyFromExclusive, Integer limit);

}
